function WelcomeScreenController($scope, $timeout, ScreenService, eventAggregator, localStorageEngine) {

    this.sayHelloTo = function(title) {
        return  ScreenService.i18n(title) + getLocalVar('__NMOPERADOR');
    };

    this.openNextWindow = function(nextWindow) {
        var syncronized = localStorageEngine.getLocalVar('__SYNCRONIZED');
        if (syncronized === undefined) localStorageEngine.setLocalVar('__SYNCRONIZED', false);
        if (nextWindow === 'Synchronize') {
            localStorageEngine.setLocalVar('__ONLINE', true);
            nextWindow = 'MapNutritionist';
            eventAggregator.publish("wscCallUpdate", null);
        }else{
            localStorageEngine.setLocalVar('__ONLINE', false);
        }
        ScreenService.openWindow(nextWindow);
    };
}